#include<bits/stdc++.h>
using namespace std;
int n,q;
int a[10000],b[10000],br;
int medijana;
int i=1, j=1;
///poboljsaj duzinu nizova itd.
///binarna pretaga je brza
///ako je niz duzina koja je parna imas 2 medijane
int main ()
{
    cin >> n >> q;

    for(int i=1; i<=n; i++)
    {
        cin >> a[i];
    }

    for(int i=1; i<=q; i++)
    {
        cin >> b[i];
    }
    sort(a,a+n+1);
    medijana=n/2+1;
    if(n%2==0)
    {
        medijana=medijana-1;
    }

    for(i=1; i<=q; i++)
    {
        for(j=1; j<=n; j++)
        {
            if(a[j]==b[i])
            {
                cout <<abs(medijana-j) << endl;
                goto ovde;
            }
        }
        a[n+1]=b[i];
        sort(a,a+n+2);
        goto ponavljanje;
        vracanje:
        ovde:
        br++;

    }


    ponavljanje:
    medijana=(n+1)/2+1;
    if(n%2==0)
    {
        medijana=medijana-1;
    }
    for(int g=1; g<=n+1; g++)
    {
        if(a[g]==b[i])
        {
                cout <<abs(medijana-j) << endl;
                goto vracanje;
        }
    }

}